Index: doc/user-guide/commands.xml
===================================================================
--- doc/user-guide/commands.xml	(revision 0864a524c9fd1184874d550216beb49f6a0bef55)
+++ doc/user-guide/commands.xml	(revision b38f6555bd32356ac6befe329fea1764912ede96)
@@ -1017,11 +1017,11 @@
 		<description>
 			<para>
-				Some protocols (MSN, Yahoo!) can notify via IM about new e-mail. Since most people use their Hotmail/Yahoo! addresses as a spam-box, this is disabled default. If you want these notifications, you can enable this setting.
-			</para>
-		</description>
-
-	</bitlbee-setting>
-
-	<bitlbee-setting name="notify_handle" type="string" scope="account">
+				Some protocols (MSN, Yahoo!, GTalk) can notify via IM about new e-mail. Since most people use their Hotmail/Yahoo! addresses as a spam-box, this is disabled default. If you want these notifications, you can enable this setting.
+			</para>
+		</description>
+
+	</bitlbee-setting>
+
+	<bitlbee-setting name="mail_notifications_handle" type="string" scope="account">
 		<default>empty</default>
 
@@ -1029,15 +1029,4 @@
 			<para>
 				This setting is available for protocols with e-mail notification functionality. If set to empty all e-mail notifications will go to control channel, if set to some string - this will be the name of a contact who will PRIVMSG you on every new notification.
-			</para>
-		</description>
-
-	</bitlbee-setting>
-
-	<bitlbee-setting name="gmail_notifications" type="boolean" scope="account">
-		<default>false</default>
-
-		<description>
-			<para>
-				Same as "mail_notifications" but GMail specific.
 			</para>
 		</description>
Index: protocols/bee_user.c
===================================================================
--- protocols/bee_user.c	(revision 0864a524c9fd1184874d550216beb49f6a0bef55)
+++ protocols/bee_user.c	(revision b38f6555bd32356ac6befe329fea1764912ede96)
@@ -286,5 +286,5 @@
 
 	/* up to the protocol to set_add this if they want to use this */
-	handle = set_getstr(&ic->acc->set, "notify_handle");
+	handle = set_getstr(&ic->acc->set, "mail_notifications_handle");
 
 	if (handle != NULL) {
Index: protocols/jabber/iq.c
===================================================================
--- protocols/jabber/iq.c	(revision 0864a524c9fd1184874d550216beb49f6a0bef55)
+++ protocols/jabber/iq.c	(revision b38f6555bd32356ac6befe329fea1764912ede96)
@@ -803,5 +803,5 @@
 	}
 
-	max = set_getint(&ic->acc->set, "gmail_notifications_limit");
+	max = set_getint(&ic->acc->set, "mail_notifications_limit");
 	c = c->children;
 
Index: protocols/jabber/jabber.c
===================================================================
--- protocols/jabber/jabber.c	(revision 0864a524c9fd1184874d550216beb49f6a0bef55)
+++ protocols/jabber/jabber.c	(revision b38f6555bd32356ac6befe329fea1764912ede96)
@@ -101,12 +101,12 @@
 	s = set_add(&acc->set, "xmlconsole", "false", set_eval_bool, acc);
 
-	s = set_add(&acc->set, "gmail_notifications", "false", set_eval_bool, acc);
+	s = set_add(&acc->set, "mail_notifications", "false", set_eval_bool, acc);
 	s->flags |= ACC_SET_OFFLINE_ONLY;
 
 	/* changing this is rarely needed so keeping it secret */
-	s = set_add(&acc->set, "gmail_notifications_limit", "5", set_eval_int, acc);
+	s = set_add(&acc->set, "mail_notifications_limit", "5", set_eval_int, acc);
 	s->flags |= SET_HIDDEN_DEFAULT;
 
-	s = set_add(&acc->set, "notify_handle", NULL, NULL, acc);
+	s = set_add(&acc->set, "mail_notifications_handle", NULL, NULL, acc);
 	s->flags |= ACC_SET_OFFLINE_ONLY | SET_NULL_OK;
 
@@ -268,8 +268,10 @@
 		imcb_add_buddy(ic, JABBER_XMLCONSOLE_HANDLE, NULL);
 	}
-	if (set_getbool(&acc->set, "gmail_notifications")) {
+
+	if (set_getbool(&acc->set, "mail_notifications")) {
+		/* It's gmail specific, but it checks for server support before enabling it */
 		jd->flags |= JFLAG_GMAILNOTIFY;
-		if (set_getstr(&acc->set, "notify_handle")) {
-			imcb_add_buddy(ic, set_getstr(&acc->set, "notify_handle"), NULL);
+		if (set_getstr(&acc->set, "mail_notifications_handle")) {
+			imcb_add_buddy(ic, set_getstr(&acc->set, "mail_notifications_handle"), NULL);
 		}
 	}
Index: protocols/msn/msn.c
===================================================================
--- protocols/msn/msn.c	(revision 0864a524c9fd1184874d550216beb49f6a0bef55)
+++ protocols/msn/msn.c	(revision b38f6555bd32356ac6befe329fea1764912ede96)
@@ -49,5 +49,5 @@
 	s->flags |= ACC_SET_OFFLINE_ONLY;
 
-	s = set_add(&acc->set, "notify_handle", NULL, NULL, acc);
+	s = set_add(&acc->set, "mail_notifications_handle", NULL, NULL, acc);
 	s->flags |= ACC_SET_OFFLINE_ONLY | SET_NULL_OK;
 
@@ -87,6 +87,6 @@
 	               set_getint(&ic->acc->set, "port"));
 
-	if (set_getbool(&acc->set, "mail_notifications") && set_getstr(&acc->set, "notify_handle")) {
-		imcb_add_buddy(ic, set_getstr(&acc->set, "notify_handle"), NULL);
+	if (set_getbool(&acc->set, "mail_notifications") && set_getstr(&acc->set, "mail_notifications_handle")) {
+		imcb_add_buddy(ic, set_getstr(&acc->set, "mail_notifications_handle"), NULL);
 	}
 }
Index: protocols/purple/purple.c
===================================================================
--- protocols/purple/purple.c	(revision 0864a524c9fd1184874d550216beb49f6a0bef55)
+++ protocols/purple/purple.c	(revision b38f6555bd32356ac6befe329fea1764912ede96)
@@ -239,5 +239,5 @@
 		s->flags |= ACC_SET_OFFLINE_ONLY;
 
-		s = set_add(&acc->set, "notify_handle", NULL, NULL, acc);
+		s = set_add(&acc->set, "mail_notifications_handle", NULL, NULL, acc);
 		s->flags |= ACC_SET_OFFLINE_ONLY | SET_NULL_OK;
 	}
@@ -336,6 +336,6 @@
 	purple_account_set_enabled(pd->account, "BitlBee", TRUE);
 
-	if (set_getbool(&acc->set, "mail_notifications") && set_getstr(&acc->set, "notify_handle")) {
-		imcb_add_buddy(ic, set_getstr(&acc->set, "notify_handle"), NULL);
+	if (set_getbool(&acc->set, "mail_notifications") && set_getstr(&acc->set, "mail_notifications_handle")) {
+		imcb_add_buddy(ic, set_getstr(&acc->set, "mail_notifications_handle"), NULL);
 	}
 }
Index: protocols/yahoo/yahoo.c
===================================================================
--- protocols/yahoo/yahoo.c	(revision 0864a524c9fd1184874d550216beb49f6a0bef55)
+++ protocols/yahoo/yahoo.c	(revision b38f6555bd32356ac6befe329fea1764912ede96)
@@ -128,5 +128,5 @@
 	s->flags |= ACC_SET_OFFLINE_ONLY;
 
-	s = set_add(&acc->set, "notify_handle", NULL, NULL, acc);
+	s = set_add(&acc->set, "mail_notifications_handle", NULL, NULL, acc);
 	s->flags |= ACC_SET_OFFLINE_ONLY | SET_NULL_OK;
 
@@ -152,6 +152,6 @@
 	yahoo_login(yd->y2_id, yd->current_status);
 
-	if (set_getbool(&acc->set, "mail_notifications") && set_getstr(&acc->set, "notify_handle")) {
-		imcb_add_buddy(ic, set_getstr(&acc->set, "notify_handle"), NULL);
+	if (set_getbool(&acc->set, "mail_notifications") && set_getstr(&acc->set, "mail_notifications_handle")) {
+		imcb_add_buddy(ic, set_getstr(&acc->set, "mail_notifications_handle"), NULL);
 	}
 }
